%define languageenglazy Tswana
%define languagecode    tn
%define lc_ctype        tn_ZA

%define upstream_version 20150904

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 13
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://www.translate.org.za/
Source0:        https://addons.mozilla.org/firefox/downloads/file/347396/tswana_spell_checker-%{upstream_version}-sm+tb+fx+an+fn.xpi#/%{name}-%{version}.xpi

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-tn
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-tn_BW = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-tn_BW = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/tn-ZA.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/tn-ZA.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc dictionaries/README_tn_ZA.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20150904.1-13.mga8
+ Revision: 1501733
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20150904.1-12.mga7
+ Revision: 1278859
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 kekepower <kekepower> 0.20150904.1-11.mga7
+ Revision: 1213799
- Update to release 20150904

* Mon Feb 01 2016 umeabot <umeabot> 0.20091101.1-11.mga6
+ Revision: 930416
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20091101.1-10.mga5
+ Revision: 749408
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20091101.1-9.mga5
+ Revision: 680319
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20091101.1-8.mga4
+ Revision: 505778
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20091101.1-7.mga3
+ Revision: 353745
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 kamil <kamil> 0.20091101.1-6.mga3
+ Revision: 332441
- stop installing symlinks of dicts

* Tue Mar 20 2012 kamil <kamil> 0.20091101.1-5.mga2
+ Revision: 224890
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20091101.1-4.mga2
+ Revision: 209130
- use better obsoleting of myspell
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20091101.1-2.mga1
+ Revision: 69169
- imported package hunspell-tn


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20091101-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 Caolán McNamara <caolanm@redhat.com> - 0.20091101-1
- latest version

* Wed Jan 06 2010 Caolán McNamara <caolanm@redhat.com> - 0.20060123-5
- README says was derived from GPL work -> GPL

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060123-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060123-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 30 2008 Caolán McNamara <caolanm@redhat.com> - 0.20060123-2
- add Botswana alias

* Tue Sep 09 2008 Caolán McNamara <caolanm@redhat.com> - 0.20060123-1
- initial version
